// @import "normalize";
@import "variebles";
@import "mixins";

.header {
	position: relative;
	padding-bottom: 460px;

	&__bg {
		position: absolute;
		z-index: -1;
		top: 0;
		bottom: 0;
		right: 0;
		left: 0;

		& img {
			height: 100%;
			width: 100%;
		}
	}

	&__buy-now {
		font-family: "Montserrat", sans-serif;
		font-weight: 700;
		font-size: 15px;
		line-height: 17px;
		padding: 11px 22px;

		@include mq(481px, min){
			padding: 11px 35px;
		}
	}

	&__title {
		font-weight: 700;
		font-size: 82px;
		line-height: 82px;
		text-align: center;
		color: #ffffff;
		margin: 83px 0 19px;
		font-family: "Montserrat", sans-serif;

		@include mq(992px, max) {
			font-size: 72px;
			line-height: 72px;
			margin: 69px 0 19px;
		}

		@include mq(480px, max) {
			font-size: 48px;
			line-height: 48px;
			margin: 49px 0 19px;
		}

		&--description {
			margin: 19px 0;
			display: block;
			font-family: "Lato", sans-serif;
			font-weight: 400;
			font-size: 30px;
			line-height: 30px;
			color: $header-color;

			@include mq(992px, max) {
				font-size: 24px;
				line-height: 24px;
			}

			@include mq(480px, max) {
				font-family: "Montserrat", sans-serif;
				margin-left: 10px;
				margin-right: 10px;
				font-size: 18px;
			}
			
		}

		@include mq(480px, max){
			.desktop{
				display: none;
			}
		}

		@include mq (481px, min){
			.mobile{
				display: none;
			}
		}
	}

	&__text {
		font-size: 16px;
		line-height: 16px;
		text-align: center;
		text-transform: uppercase;
		color: #848e97;
		font-family: "Montserrat", sans-serif;

		@include mq(992px, max) {
			font-family: "Montserrat", sans-serif;
			font-size: 14px;
			line-height: 14px;
		}
	}

	@include mq(992px, max) {
		& .container {
			padding: 0;
		}
	}

	@include mq(480px, max) {
		padding-bottom: 415px;
	}
}

.navbar {
	display: flex;
	align-items: center;
	padding: 30px 0;
	position: relative;

	@include mq(992px, max) {
		flex-wrap: wrap;
		padding: 25px 20px;
		background-color: #27262a;
		justify-content: center;
	}

	@include mq(480px, max){
		justify-content: space-between;
		padding: 25px 15px;
	}
}

.logo {
	font-family: "Lato", sans-serif;
	font-weight: 700;
	font-size: 24px;
	line-height: 16px;
	text-transform: uppercase;
	text-decoration: none;
	color: $header-color;
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-right: auto;
	transition: color 0.5s;
	position: relative;

	&__img {
		margin-right: 17px;

		&--hover {
			position: absolute;
			opacity: 0;
			transition: opacity 0.5s;
		}

		@include mq(480px, max) {
			margin-right: 0;
		}
	}

	&:hover {
		color: #ffffff;

		& .logo__img--hover {
			opacity: 1;
		}
	}

	@include mq(480px, max) {
		font-size: 0;
		margin-right: 0;
	}
}

.menu {
	padding: 0;
	list-style: none;
	display: flex;
	margin: 0 47px 0 0;
	font-family: 'Montserrat', sans-serif;

	&__item {
		font-family: 'Montserrat', sans-serif;

		&:not(:last-child) {
			margin-right: 48px;

			@include mq(545px, max) {
				margin-right: 18px;
			}
		}

		@include mq(480px, max) {
			margin-right: 0 !important;
		}

		@include mq(480px, max) {
			// font-family: 'Montserrat', sans-serif;
			border: 1px solid #3b3b3b;
		}
	}

	&__link {
		font-weight: 700;
		font-size: 16px;
		line-height: 17px;
		color: $header-color;
		text-decoration: none;
		transition: color 0.5s;

		&:hover {
			color: #ffffff;
		}

		@include mq(992px, max) {
			font-family: 'Montserrat', sans-serif;
			white-space: nowrap;
		}

		@include mq(480px, max) {
			font-family: 'Montserrat', sans-serif;
			font-weight: 400;
			font-size: 26px;
			line-height: 26px;
			color: #ffffff;
			display: block;
			padding: 30px 35px;
			margin-left: 3px;

			&:active,
			&:focus {
				font-family: 'Montserrat', sans-serif;
				padding-left: 40px;
				padding-right: 30px;
				color: #8D81AC;
				position: relative;

				&::before {
					content: "";
					width: 8px;
					height: 53px;
					background-color: $header-color;
					position: absolute;
					left: 0;
					top: 50%;
					transform: translateY(-50%);
				}
			}
		}
	}

	@include mq(992px, max) {
		order: 1;
		margin: 20px 100% 0 100%;
	}

	@include mq(480px, max) {
		background-color: #333333;
		position: absolute;
		top: 100%;
		margin: 0;
		flex-direction: column;
		display: none;
		right: 15px;
		left: 12px;
	}
}

.menu-btn {
	font-size: 0;
	display: none;
	position: relative;
	width: 26px;
	height: 21px;
	border: none;
	background-color: transparent;

	&__line {
		position: absolute;
		width: 26px;
		height: 3px;
		background: #ffffff;
		border-radius: 5px;
		right: 0;
		transition: transform 0.5s, width 0.5s;

		&:first-child {
			width: 15px;
			top: 0;
		}

		&:nth-child(2),
		&:nth-child(3) {
			top: 50%;
			transform: translateY(-50%);
		}

		&:nth-child(3) {
			width: 0;
		}

		&:last-child {
			bottom: 0;
		}

		&--open {
			&:first-child {
				width: 0;
			}

			&:nth-child(2) {
				// width: 0;
				transform: rotate(45deg);
			}

			&:nth-child(3) {
				width: 26px;
				transform: rotate(-45deg);
			}

			&:last-child {
				width: 0;
			}
		}
	}

	@include mq(480px, max) {
		display: block;
	}
}

.download {
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translate(-50%, -34px);

	&__btn {
		font-family: "Montserrat", sans-serif;
		font-weight: 700;
		font-size: 21px;
		line-height: 22px;
		color: #ffffff;
		padding: 23px 60px;
		white-space: nowrap;
		border: 2px solid transparent;

		&:hover {
			border: 2px solid $header-color;
		}

		@include mq(480px, max) {
			font-size: 18px;
			line-height: 20px;
			padding: 13px 29px;
		}
	}

	&__description {
		margin-top: 13px;
		font-family: "Montserrat", sans-serif;
		font-size: 14px;
		line-height: 15px;
		color: #848e97;
		text-align: center;

		@include mq(481px, min){
			margin-top: 19px;
		}
	}

	@include mq(480px, max){
		top: 712px;
	}
}

.btn {
	background: $header-color;
	border-radius: 40px;
	color: #ffffff;
	display: inline-block;
	transition: background-color 0.5s, color 0.5s, border 0.5s;

	&:hover {
		background-color: #ffffff;
		color: $header-color;
	}
}

.menu-is-open{
	display: flex;
}